main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name="home"),
    path('subscribe', views.subscribe, name="subscribe"),
    path('story1', views.story1, name="story1"),

    path('forms', views.forms, name="forms"),
    path('saveforms', views.saveforms, name="saveforms"),
    path('deleteforms', views.deleteforms, name="deleteforms"),
    path('detail_matkul', views.detail_matkul, name="detail_matkul"),

    # path('story6', views.story6, name="story6"),
    # path('tambah-aktivitas', views.tambah_aktivitas, name="tambahaktivitas"),
    # path('hapus-aktivitas', views.hapus_aktivitas, name="hapusaktivitas"),
    # path('tambah-peserta', views.tambah_peserta, name="tambahpeserta"),
    # path('hapus-peserta', views.hapus_peserta, name="hapuspeserta"),
    
    # path('story6/aktivitas/tambah/', views.tambah_aktivitas, name="story6-tambah-aktivitas"),
    # path('story6/aktivitas/hapus/<int:id>/', views.hapus_aktivitas, name="story6-hapus-aktivitas"),
    # path('story6/peserta/tambah/', views.tambah_peserta, name="story6-tambah-peserta"),
    # path('story6/peserta/hapus/<int:id>/', views.hapus_peserta, name="story6-hapus-peserta"),


]

ppw/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('story6/', include('story6.urls')),
    path('story7/', include('story7.urls')),
    path('story8/', include('story8.urls')),
    path('story9/', include('story9.urls')),
]

story6/urls.py
from django.urls import path

from . import views

app_name = 'story6'

urlpatterns = [
    path('', views.index, name="index"),
    path('activity/add/', views.add_activity, name="add-activity"),
    path('activity/delete/<int:id>/', views.delete_activity, name="delete-activity"),
    path('person/add/', views.add_person, name="add-person"),
    path('person/delete/<int:id>/', views.delete_person, name="delete-person"),
]

main/models.py
from django.db import models

class MataKuliah(models.Model):
    nama = models.CharField(max_length=50)
    dosen = models.CharField(max_length=50)
    sks = models.IntegerField()
    deskripsi = models.TextField()
    semester_tahun = models.CharField(max_length=50)
    ruang_kelas = models.CharField(max_length=50)

class ListMataKuliah(models.Model):
    matkul = MataKuliah
    cnt = models.IntegerField()

class Aktivitas(models.Model):
    nama = models.CharField(max_length=50)

    def __str__(self):
        return self.nama

class Peserta(models.Model):
    nama = models.CharField(max_length=50)
    aktivitas = models.ForeignKey('Aktivitas', on_delete=models.CASCADE)

    def __str__(self):
        return self.nama

story6/models.py
from django.db import models

class Activity(models.Model):
    name = models.CharField(max_length=50)

class Person(models.Model):
    name = models.CharField(max_length=50)
    activity = models.ForeignKey('Activity', on_delete=models.CASCADE, null=True)

main/forms.py
from django import forms

from .models import MataKuliah, Aktivitas, Peserta

class MataKuliahForm(forms.ModelForm):
    class Meta:
        model = MataKuliah
        fields = '__all__'

class MataKuliahDeleteForm(forms.ModelForm):
    class Meta:
        model = MataKuliah
        fields = ['nama', 'sks']
    nama = forms.CharField(max_length=50)
    sks = forms.IntegerField()

class MataKuliahDetailForm(forms.ModelForm):
    class Meta:
        model = MataKuliah
        fields = ['nama', 'sks']
    nama = forms.CharField(max_length=50)
    sks = forms.IntegerField()

class TambahAktivitasForm(forms.ModelForm):
    class Meta:
        model = Aktivitas
        fields = '__all__'

class TambahPesertaForm(forms.ModelForm):
    class Meta:
        model = Peserta
        fields = '__all__'

story6/forms.py
from django.forms import ModelForm
from .models import Activity, Person

class ActivityForm(ModelForm):
    class Meta:
        model = Activity
        fields = '__all__'

class PersonForm(ModelForm):
    class Meta:
        model = Person
        fields = '__all__'

main/views.py
from django.shortcuts import render, get_object_or_404
from django.http import HttpResponseRedirect
from django.db import models
from .forms import MataKuliahForm, MataKuliahDeleteForm, MataKuliahDetailForm, TambahAktivitasForm, TambahPesertaForm
from .models import MataKuliah, Aktivitas, Peserta
import random

def home(request):
    return render(request, 'main/home.html')

def subscribe(request):
    return render(request, 'main/subscribe.html')

def story1(request):
    return render(request, 'main/story1.html')

def forms(request):
    response = {'list_matkul' : MataKuliah.objects.all()}
    return render(request, 'main/forms.html', response)

def saveforms(request):
    form = MataKuliahForm(request.POST or None)
    if (form.is_valid() and request.method == 'POST'):
        form.save()
    return HttpResponseRedirect('/forms')
    # else:
	#     return HttpResponseRedirect('/forms')

def deleteforms(request):
    form = MataKuliahDeleteForm(request.POST)
    if (form.is_valid() and request.method == 'POST'):
        nama = form.cleaned_data['nama']
        sks = form.cleaned_data['sks']
        models = MataKuliah.objects.filter(nama=nama, sks=sks)
        models.delete()

    return HttpResponseRedirect('/forms')
    # else:
    #     return HttpResponseRedirect('/forms')

def detail_matkul(request):
    form = MataKuliahDetailForm(request.POST)
    if (form.is_valid() and request.method == 'POST'):
        response = {'list_matkul' : MataKuliah.objects.all()}

        nama = form.cleaned_data['nama']
        sks = form.cleaned_data['sks']
        try:
            models = MataKuliah.objects.get(nama=nama, sks=sks)
            response['matkul'] = models
        except MataKuliah.DoesNotExist:
            pass
    
    return render(request, 'main/forms.html', response)

def story6(request):
    content = {}
    content['list_aktivitas'] = Aktivitas.objects.all()
    return render(request, 'main/story6.html', content)

def tambah_aktivitas(request):
    form = TambahAktivitasForm(request.POST or None)
    if (form.is_valid() and request.method == 'POST'):
        form.save()
    return HttpResponseRedirect('/story6')

def tambah_peserta(request):
    form = TambahPesertaForm(request.POST)
    if (form.is_valid() and request.method == 'POST'):
        form.save()
    return HttpResponseRedirect('/story6')

def hapus_aktivitas(request, id):
    aktivitas = get_object_or_404(Aktivitas, id=id)

    aktivitas.delete()
    return HttpResponseRedirect('/story6')

def hapus_peserta(request, id):
    peserta = get_object_or_404(Peserta, id=id)

    peserta.delete()
    return HttpResponseRedirect('/story6')

story6/views.py
from django.shortcuts import render, redirect, get_object_or_404
from django.http import HttpResponseRedirect
from .forms import ActivityForm, PersonForm
from .models import Activity, Person

def index(request):
    content = {'content' : Activity.objects.all()}
    return render(request, 'index.html', content)
def add_activity(request):
    form = ActivityForm(request.POST or None)
    if (form.is_valid() and request.method == 'POST'):
        form.save()
    return HttpResponseRedirect('/story6/')
def add_person(request):
    form = PersonForm(request.POST or None)
    if (form.is_valid() and request.method == 'POST'):
        form.save()
    return HttpResponseRedirect('/story6/')
def delete_activity(request, id):
    activity = get_object_or_404(Activity, id=id)
    activity.delete()
    return redirect('story6:index')
def delete_person(request, id):
    person = get_object_or_404(Person, id=id)
    person.delete()
    return redirect('story6:index')

main/templates/main/forms.html
{% extends "base.html" %}
{% block content %}
    <head>
        <link href="{% static 'css/style.css' %}" rel="stylesheet" />
        <style>
            body {
                padding: 0;
                margin: 0;
                width: 100vw;
            }
            body .form {
                display: flex;
                flex-flow: row wrap;
                background-color: rgba(12,28,33,1);
            }
            body .form form {
                display: flex;
                flex-flow: column wrap;
                margin-top: 2rem;
                margin-left: 2.5rem;
                font-family: Roboto;
                font-weight: Regular;
                font-size: 1rem;
                color: rgba(242,242,242,1);
            }
            #h2 {
                font-family: Kanit;
                font-weight: Bold;
                font-size: 1.875rem;
                color: rgba(242,242,242,1);
            }
            body .form form input[type=text] {
                width: 15rem;
            }
            body .form form input[type=number] {
                width: 15rem;
            }
            input[type=submit] {
                color: rgba(242,242,242,1); 
                font-weight: bold; 
                padding-top: 0.75rem; 
                margin: 0; 
                letter-spacing: 0.0125rem;
                font-family: Roboto;
                font-weight: Regular;
                font-size: 1rem;
                text-decoration: none;  
                justify-content: center; 
                height: 3rem;
                background: rgba(255,128,0,1);
                border-radius: 0.1875rem;
                width: 10rem;
                height: 3.5rem;
                padding: 0;
                margin: 0;
                transition: 0.3s;
            }
            input[type=submit]:hover {
                background: rgb(204, 102, 0);
            }
            .list-matkul {
                display: flex;
                flex-flow: column wrap;
                margin-top: 2rem;
                margin-left: 2.5rem;
                font-family: Roboto;
                font-weight: Regular;
                font-size: 1rem;
                color: rgba(242,242,242,1);
            }
            #h2-orange {
                font-family: Kanit;
                font-weight: Bold;
                font-size: 1.875rem;
                color: rgba(255,128,0,1);
            }
        </style>
    </head>

    <body>
        {% include 'base.html' %}
        <div class="form">
            <form action="saveforms" method="POST">
                {% csrf_token %}
                <div id="h2-orange">Menambah Mata Kuliah</div>
                <label style="margin-top: 0.5rem;">Nama:</label>
                <input type="text" name="nama" maxlength="50" required>
                
                <label>Dosen:</label> 
                <input type="text" name="dosen" maxlength="50" required>

                <label>SKS:</label> 
                <input type="number" name="sks" required>

                <label>Deskripsi:</label> 
                <textarea name="deskripsi" cols="30" rows="5" required></textarea>

                <label>Semester tahun:</label> 
                <input type="text" name="semester_tahun" maxlength="50" required>

                <label>Ruang kelas:</label> 
                <input type="text" name="ruang_kelas" maxlength="50" required>

                <div style="margin-top: 1.5rem;"></div>
                <input type="submit" value="Submit">
            </form>

            <form action="deleteforms" method="POST">
                {% csrf_token %}
                <div id="h2-orange">Menghapus Mata Kuliah</div>
                <label style="margin-top: 0.5rem;">Nama:</label>
                <input type="text" name="nama" maxlength="50" required>

                <label>SKS:</label> 
                <input type="number" name="sks" required>

                <div style="margin-top: 1.5rem;"></div>
                <input type="submit" value="Submit">
            </form>

            <form action="detail_matkul" method="POST">
                {% csrf_token %}
                <div id="h2-orange">Detail Mata Kuliah</div>
                <label style="margin-top: 0.5rem;">Nama:</label>
                <input type="text" name="nama" maxlength="50" required>

                <label>SKS:</label>
                <input type="number" name="sks" required>

                <div style="margin-top: 1.5rem;"></div>
                <input type="submit" value="Submit">

                <div style="margin-top: 1.5rem;"></div>
                {% if matkul %}
                <div>Nama : {{matkul.nama}}</div>
                <div>Dosen : {{matkul.dosen}}</div>
                <div>SKS : {{matkul.sks}}</div>
                <div>Deskripsi : {{matkul.deskripsi}}</div>
                <div>Semester tahun : {{matkul.semester_tahun}}</div>
                <div>Ruang kelas : {{matkul.ruang_kelas}}</div>
                {% endif %}
            </form>

            <div class="list-matkul">
                    <div id="h2-orange" style="margin-bottom: 0.5rem;">List Mata Kuliah</div>
                    {% if list_matkul %}
                    {% for matkul in list_matkul %}
                        <div>- {{ matkul.nama }}</div>
                    {% endfor %}
                    {% endif %}
            </div>
        </div>    
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    </body>
</html>
{% endblock content %}

main/templates/main/home.html
<!doctype html>
<html lang="en">
  <head>
    {% load static %}
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link href="{% static 'css/style.css' %}" rel="stylesheet" />
    <script src="https://kit.fontawesome.com/5433b4e449.js" crossorigin="anonymous"></script>
    <title>farhan_prima: IS Student Who Has Rp100m+ Revenue</title>
  </head>
  <body>
    {% include 'base.html' %}
    <div id="body" class="container">
      <div class="d-flex flex-wrap">
        <div class="bodytext">
            <p class="h2">Hi, i'm Farhan Ahmad Primaditya</p>
            <p class="h1">IS Student Who Has Business With Rp 100m+ Revenue</p>
            <p class="body1">My name is Farhan Ahmad Primaditya (Adit), currently studying at University of Indonesia (UI) on Information System Bachelor's Degree.</p>
            <p class="body1">Aside from being student, I run a Minecraft game server named Wheelcraft Indonesia since July 2013 as a side self-employed job. The minecraft server alone can generate Rp 100+ million of total revenue (2019).</p>
            <p class="body1">I’m really passionate about how business works and creates innovation to improve business’ bottom-line. Even though I’m still learning, I hope that I can collaborate with you!</p>
            <div class="contact-us">
              <a href="mailto:farhan.primaditya@gmail.com" class="email-container" style="text-decoration: none;">
                <div class="email-logo"></div>
                <div class="body1" style="color: rgba(242,242,242,1);">Email Me</div>
              </a>
              <a href="https://www.instagram.com/farhan.prima/" class="fab fa-instagram instagram-logo fa-2x"></i>
              <a href="https://wa.me/+6281219593496" class="fab fa-whatsapp fa-2x whatsapp-logo"></a>
            </div>
            <div id="edu" class="h2" style="color: rgba(242,242,242,1); margin-top: 2.5rem;">Education</div>
            <div class="edu-ui">
              <div class="ui-logo"></div>
              <div class="ui-desc">
                <div class="body1" style="color: rgba(242,242,242,1); font-weight: bold;">University of Indonesia</div>
                <div class="body2" style="color: rgba(175,175,173,1);">Bachelor’s degree, Information System</div>
                <div class="body2" style="color: rgba(175,175,173,1);">2019 - 2023</div>
              </div>
            </div>
            <div class="edu-ui" style="margin-top: 0.5rem;">
              <div class="sma48-logo"></div>
              <div class="ui-desc">
                <div class="body1" style="color: rgba(242,242,242,1); font-weight: bold;">SMA Negeri 48 Jakarta</div>
                <div class="body2" style="color: rgba(175,175,173,1);">High School, Science</div>
                <div class="body2" style="color: rgba(175,175,173,1);">2016 - 2019</div>
              </div>
            </div>
            <div class="h2" style="color: rgba(242,242,242,1); margin-top: 1.5rem;">Experience</div>
            <div class="edu-ui" style="margin-top: 1rem;">
              <div class="wlc-logo"></div>
              <div class="ui-desc">
                <div class="body1" style="color: rgba(242,242,242,1); font-weight: bold;">Chief Executive Officer & Founder</div>
                <div class="body2" style="color: rgba(175,175,173,1);">Wheelcraft Indonesia - Self-employed</div>
                <div class="body2" style="color: rgba(175,175,173,1);">Jul 2013 - Present</div>
                <a href="https://wheelcraft-id.net" class="visit-web" style="display: flex; flex-flow: row; text-decoration: none;">
                  <i class="fas fa-link fa-xs"></i>
                  <div class="body2 web" style="margin-top: 0.05rem;">Visit website</div>
                </a>
              </div>
            </div>
            <div class="home-blank"></div>
        </div>
        <div class="bg-img"><div class="imgme"></div></div>
        

      </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
  </body>
</html>

main/templates/main/story1.html
<html>
    <head>
        {% load static %}
        <title>My Profile</title>
    </head>

    <body>
        {% include 'base.html' %}
        <p>Nama : Farhan Ahmad Primaditya</p>
        <p>NPM : 1906353460</p>
        <p>Angkatan : 2019</p>
        <p>Hobi : Bermain game</p>
        <p>Deskripsi : Orang biasa yang menyukai bermain game, belajar hal-hal tentang komputer dan belajar hal-hal terkait bisnis & investasi</p>
        <p>Tempat kuliah : Fasilkom UI</p>
        <p>Foto :</p>
        <img src="{% static 'img/me.jpg' %}">
        <p>Riwayat pendidikan : SMA Negeri 48 Jakarta</p>
        <p>Media sosial : Instagram <a href="https://www.instagram.com/farhan.prima/">@farhan.prima</a></p>
    </body>
</html>

main/templates/main/story6.html
<html>
    <head>
        {% load static %}
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>farhan_prima: IS Student Who Has Rp100m+ Revenue</title>
    </head>
    <style>
        .regular {  
            color: rgba(242,242,242,1);
            font-family: Roboto;
            font-weight: Regular;
            font-size: 1rem;
        }
        body {
            padding: 0;
            margin: 0;
            width: 100vw;
        }
        body section.form {
            display: flex;
            flex-flow: row wrap;
            background-color: rgba(12,28,33,1);
            justify-content: flex-start;
        }
        body section.form .box {
            display: flex;
            flex-flow: column wrap;
            border: 1px solid white;
            padding: 1rem;
            margin-top: 2rem;
            margin-left: 2rem;
        }
        body section.form .box p {
            margin-bottom: 2rem;
        }
        body section.form .box ul {
            margin-bottom: 2rem;
            padding-inline-start: 1rem;
        }
        body section.form .box form input.tambah-peserta[type=text]  {
            margin-bottom: 1rem; 
            padding-left: 0.5rem;
        }
        body section.form .box form input.tambah-peserta[type=text]:focus  {
            outline: none;
        }
        body section.form .box form button.tambah-peserta  {
            background-color: rgba(255,128,0,1);
            color: rgba(242,242,242,1);
            border-radius: 2px;
            border: 0;
            text-align: center;
            font-weight: bold;
            transition: 0.3s;
        }
        body section.form .box form button.tambah-peserta:hover  {
            background: rgb(204, 102, 0);
            color: rgb(204, 204, 204);
        }
        body section.form .box form button.tambah-peserta:focus  {
            outline: none;
        }
        body section.form .box form button.tambah-peserta p {
            margin: auto;
            padding: 0.5rem;
        }
    </style>

    <body>
        {% include 'base.html' %}
        <section class="form regular">
            {% for aktivitas in content %}
            <div class="box">
                <p style="text-align: center;">{{ aktivitas.nama }}</p>
                <ul>
                    {% for peserta in aktivitas.peserta_set.all %}
                    <li>{{ peserta.nama }}</li>
                    {% endfor %}
                </ul>
                <form action="tambah-peserta" method="POST">
                    {% csrf_token %}
                    <input name="nama" class="tambah-peserta" type="text" placeholder="Tulis namamu disini...">
                    <button class="tambah-peserta"><p>Tambah Peserta</p></button>
                </form>
            </div>
            {% endfor %}

            <div class="box" style="height: 18rem;">
                <p style="text-align: center; margin-bottom: 6rem;">Tambah Kegiatan</p>
                <form action="tambah-aktivitas" method="POST" style="display: flex; flex-flow: column wrap;">
                    {% csrf_token %}
                    <input type="text" class="tambah-peserta" name="nama" maxlength="50" required>
                    <button type="submit" class="tambah-peserta"><p>Tambah Kegiatan</p></button>
                </form>
            </div>
        </section>
    </body>
</html>

main/templates/main/subscribe.html
<!doctype html>
<html lang="en">
  <head>
    {% load static %} 
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" type="text/css" href="{% static 'bootstrap-4.5.2-dist/css/bootstrap.min.css' %}">
    <link href="{% static 'css/style.css' %}" rel="stylesheet" />
    <title>farhan_prima: IS Student Who Has Rp100m+ Revenue</title>
  </head>
  <body>
    {% include 'base.html' %}
    <div id="body" class="container">
      <div id="subscribe" class="d-flex" style="flex-flow: row wrap;">
        <div class="subscribe-email">
          <div class="h2" style="display: flex; flex-flow: row wrap;">
            <p><div style="margin-right: 0.5rem;">Subscribe for</div> <div style="color: rgba(255,128,0,1); margin-right: 0.5rem;">updates</div> from me!</p>
          </div>
          <input class="body1" type="text" id="email" name="firstname" placeholder="Your email here...">
          <div class="contact-us"  style="text-decoration: none;" onclick="subscribed()">
            <div class="email-container" style="text-decoration: none;  justify-content: center; height: 3rem">
              <div id="sub-button" class="body1" style="color: rgba(242,242,242,1); font-weight: bold; padding-top: 0.75rem; margin: 0; letter-spacing: 0.0125rem;">Subscribe</div>
            </div>
          </div>
        </div>
        <div id="subscribe" class="bg-img"><div class="imgme"></div></div>
        <div class="subscribe-blank"></div>
      </div>
    </div>
    <script>
      function subscribed(){
        document.getElementById("sub-button").innerHTML = "Processed!"
      }
    </script>
  </body>
</html>